Main Page | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Class Members | File Members | Related Pages

# uiop_endpointsC.cpp File Reference

`#include "tao/AnyTypeCode/Null_RefCount_Policy.h"`
`#include "tao/AnyTypeCode/TypeCode_Constants.h"`
`#include "tao/AnyTypeCode/Alias_TypeCode_Static.h"`
`#include "tao/AnyTypeCode/Sequence_TypeCode_Static.h"`
`#include "tao/AnyTypeCode/String_TypeCode_Static.h"`
`#include "tao/AnyTypeCode/Struct_TypeCode_Static.h"`
`#include "tao/AnyTypeCode/TypeCode_Struct_Field.h"`
`#include "uiop_endpointsC.h"`
`#include "tao/CDR.h"`

Include dependency graph for uiop_endpointsC.cpp:

## Namespaces
namespace | TAO
namespace | TAO::TypeCode
## Defines
#define | _TAO_UIOPENDPOINTSEQUENCE_CS_
## Functions
TAO::TypeCode::Struct< char const *, CORBA::TypeCode_ptr const *, TAO::TypeCode::Struct_Field< char const *, CORBA::TypeCode_ptr const * > const *, TAO::Null_RefCount_Policy > | _tao_tc_TAO_UIOP_Endpoint_Info (CORBA::tk_struct,"IDL:TAO_UIOP_Endpoint_Info:1.0","TAO_UIOP_Endpoint_Info", _tao_fields_TAO_UIOP_Endpoint_Info, 2)
TAO::TypeCode::Sequence< ::CORBA::TypeCode_ptr const *, TAO::Null_RefCount_Policy > | TAO_UIOPEndpointSequence_0 (CORBA::tk_sequence,&_tc_TAO_UIOP_Endpoint_Info, 0U)
TAO::TypeCode::Alias< char const *, CORBA::TypeCode_ptr const *, TAO::Null_RefCount_Policy > | _tao_tc_TAO_UIOPEndpointSequence (CORBA::tk_alias,"IDL:TAO_UIOPEndpointSequence:1.0","TAO_UIOPEndpointSequence",&TAO::TypeCode::tc_TAO_UIOPEndpointSequence_0)
CORBA::Boolean | operator<< (TAO_OutputCDR &strm, const TAO_UIOP_Endpoint_Info &_tao_aggregate)
CORBA::Boolean | operator>> (TAO_InputCDR &strm, TAO_UIOP_Endpoint_Info &_tao_aggregate)
CORBA::Boolean | operator<< (TAO_OutputCDR &strm, const TAO_UIOPEndpointSequence &_tao_sequence)
CORBA::Boolean | operator>> (TAO_InputCDR &strm, TAO_UIOPEndpointSequence &_tao_sequence)
## Variables
TAO::TypeCode::Struct_Field< char const *, CORBA::TypeCode_ptr const * > const | _tao_fields_TAO_UIOP_Endpoint_Info []
::CORBA::TypeCode_ptr const | _tc_TAO_UIOP_Endpoint_Info
::CORBA::TypeCode_ptr const | tc_TAO_UIOPEndpointSequence_0
::CORBA::TypeCode_ptr const | _tc_TAO_UIOPEndpointSequence

## Define Documentation

#define _TAO_UIOPENDPOINTSEQUENCE_CS_

## Function Documentation

TAO::TypeCode::Struct<char const *, CORBA::TypeCode_ptr const *, TAO::TypeCode::Struct_Field<char const *, CORBA::TypeCode_ptr const *> const *, TAO::Null_RefCount_Policy> _tao_tc_TAO_UIOP_Endpoint_Info | ( | CORBA::tk_struct | ,
|  | "IDL:TAO_UIOP_Endpoint_Info:1.0" | ,
|  | "TAO_UIOP_Endpoint_Info" | ,
|  | _tao_fields_TAO_UIOP_Endpoint_Info | ,
|  | 2 |
| ) | `[static]`

TAO::TypeCode::Alias<char const *, CORBA::TypeCode_ptr const *, TAO::Null_RefCount_Policy> _tao_tc_TAO_UIOPEndpointSequence | ( | CORBA::tk_alias | ,
|  | "IDL:TAO_UIOPEndpointSequence:1.0" | ,
|  | "TAO_UIOPEndpointSequence" | ,
|  | &TAO::TypeCode::tc_TAO_UIOPEndpointSequence_0 |
| ) | `[static]`

CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const TAO_UIOPEndpointSequence & | _tao_sequence
| ) |

CORBA::Boolean operator<< | ( | TAO_OutputCDR & | strm,
|  | const TAO_UIOP_Endpoint_Info & | _tao_aggregate
| ) |

CORBA::Boolean operator>> | ( | TAO_InputCDR & | strm,
|  | TAO_UIOPEndpointSequence & | _tao_sequence
| ) |

CORBA::Boolean operator>> | ( | TAO_InputCDR & | strm,
|  | TAO_UIOP_Endpoint_Info & | _tao_aggregate
| ) |

TAO::TypeCode::Sequence< ::CORBA::TypeCode_ptr const *, TAO::Null_RefCount_Policy> TAO_UIOPEndpointSequence_0 | ( | CORBA::tk_sequence | ,
|  | & | _tc_TAO_UIOP_Endpoint_Info,
|  | 0U |
| ) |

## Variable Documentation

TAO::TypeCode::Struct_Field<char const *, CORBA::TypeCode_ptr const *> const _tao_fields_TAO_UIOP_Endpoint_Info[]`[static]`

| Initial value:
      {
        { "rendezvous_point", &CORBA::_tc_string },
        { "priority", &CORBA::_tc_short }

      }

::CORBA::TypeCode_ptr const _tc_TAO_UIOP_Endpoint_Info

| Initial value:
      &_tao_tc_TAO_UIOP_Endpoint_Info

::CORBA::TypeCode_ptr const _tc_TAO_UIOPEndpointSequence

| Initial value:
      &_tao_tc_TAO_UIOPEndpointSequence

::CORBA::TypeCode_ptr const TAO::TypeCode::tc_TAO_UIOPEndpointSequence_0

| Initial value:
          &TAO_UIOPEndpointSequence_0